# DependentAction.NodeActionAND (ARX Developer Documentation)

org.deidentifier.arx.framework.lattice

## Class DependentAction.NodeActionAND

- java.lang.Object
- - org.deidentifier.arx.framework.lattice.DependentAction
  - - org.deidentifier.arx.framework.lattice.DependentAction.NodeActionAND

- Enclosing class:
    DependentAction

      public abstract static class DependentAction.NodeActionAND
      extends DependentAction

  A action that depends on properties of transformations

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.deidentifier.arx.framework.lattice.DependentAction

      `DependentAction.NodeActionAND, DependentAction.NodeActionConstant, DependentAction.NodeActionInverse, DependentAction.NodeActionOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DependentAction.NodeActionAND(DependentAction trigger)` Creates a new instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract boolean` | `additionalConditionAppliesTo(Transformation transformation)` The additional condition to implement.
    `boolean` | `appliesTo(Transformation transformation)` Determines whether the trigger action should be performed.

    - ### Methods inherited from class org.deidentifier.arx.framework.lattice.DependentAction

      `action, apply`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DependentAction.NodeActionAND

          public DependentAction.NodeActionAND(DependentAction trigger)

      Creates a new instance
      Parameters:
        `trigger` -

  - ### Method Detail

    - #### appliesTo

          public boolean appliesTo(Transformation transformation)

      Description copied from class: `DependentAction`
      Determines whether the trigger action should be performed.
      Specified by:
        `appliesTo` in class `DependentAction`
      Returns:

    - #### additionalConditionAppliesTo

          protected abstract boolean additionalConditionAppliesTo(Transformation transformation)

      The additional condition to implement.
      Parameters:
        `transformation` -
      Returns: